org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface VmResource.ScriptHolder

All Superinterfaces:
  VmResource.Metadata

Enclosing interface:
  VmResource

    public static interface VmResource.ScriptHolder
    extends VmResource.Metadata

A special kind of `VmResource.Metadata` that describes a resource directly linked to a resource in VM. It holds one or several `Script`s. Typically resource is .js or .html file.

### Method Summary

All Methods Instance Methods Abstract Methods
`Script` `getSingleScript()`

### Method Detail

#### getSingleScript

    Script getSingleScript()

Returns:
  script if this resource entirely consists of 1 script, otherwise throws exception
Throws:
  `java.lang.UnsupportedOperationException` - if this resource does not entirely consists of 1 script TODO(peter.rybin): redesign this method to normally work with html resources.